
"""
To use:

* sudo apt-get install python-docutils
* put the script directly in the branch folder
* launch it

"""

import os
import os.path
import docutils.core
import logging
logging.basicConfig()
_logger = logging.getLogger(__name__)

dirs = os.listdir(".")
dirs.sort()

incorrect = []

for dir in dirs:
    manif = os.path.join(".", dir, "__openerp__.py")
    if not os.path.exists(manif):
        continue
    with open(manif) as manif_file:
        content = manif_file.read()
    properties = eval(content)
    desc = properties["description"]

    try:
        html_desc = docutils.core.publish_parts(desc, writer_name="html")["body"]
    except Exception:
        _logger.exception("Description of %s is incorrect" % dir)
        incorrect.append(dir)

print "There is %d modules with incorrect description" % len(incorrect)
print "Those modules are: %s" % str(incorrect)


